Package org.kapott.hbci.manager

# Class HBCIKey

java.lang.Object
org.kapott.hbci.manager.HBCIKey

All Implemented Interfaces:
  `Serializable`

public final class HBCIKey extends Object implements Serializable
Diese Klasse repräsentiert einen von HBCI4Javaverwendeten Schlüssel. Ein solcher HBCI-Schlüssel besteht aus administrativen Daten zu diesem Schlüssel (Besitzer, Version) sowie den eigentlichen kryptographischen Daten. Bei Verwendung von asymmetrischen Sicherheitsverfahren (RDH) werden sowohl für den öffentlichen als auch für den privaten Schlüsselteil intern je ein `HBCIKey`-Objekt verwendet! Bei einigen Sicherheitsverfahren (DDV, PinTan) werden die kryptografischen Daten nicht in diesem Objekt gespeichert, sondern nur die administrativen.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`blz`
Bankleitzahl des Schlüsselbesitzers
`String`
`country`
Ländercode des Schlüsselbesitzers
`Key`
`key`
kryptographische Schlüsseldaten (kann `null` sein)
`String`
`num`
Schlüsselnummer
`String`
`userid`
Nutzerkennung des Schlüsselbesitzers.
`String`
`version`
Schlüsselversion

## Constructor Summary

Constructors
Constructor
Description
`HBCIKey()`
Neues `HBCIKey`-Objekt erzeugen
`HBCIKey(String country, String blz, String userid, String num, String version, Key key)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### country

public String country
Ländercode des Schlüsselbesitzers

### blz

public String blz
Bankleitzahl des Schlüsselbesitzers

### userid

public String userid
Nutzerkennung des Schlüsselbesitzers. Wenn der Schlüssel einem "richtigen" Nutzer gehört, so wird hier seine HBCI-Userkennung eingestellt; gehört der Schlüssel der Bank, so steht hier eine bankinterne ID (u.U. die Bankleitzahl o.ä.)

### num

public String num
Schlüsselnummer

### version

public String version
Schlüsselversion

### key

public Key key
kryptographische Schlüsseldaten (kann `null` sein)

## Constructor Details

### HBCIKey

public HBCIKey()
Neues `HBCIKey`-Objekt erzeugen

### HBCIKey

public HBCIKey(String country, String blz, String userid, String num, String version, Key key)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`